import { defineStore } from 'pinia'
import { ContactsState } from './types'
export const CallState = {
    callIn: 'callIn',
    callOut: 'callout',
    calling: 'calling',
    idle: 'idle'
}
const useContactsStore = defineStore('contacts', {
    state: (): ContactsState => {
        return {
            showWait: false
        }
    },

    getters: {},

    actions: {
        changeWait(val: boolean) {
            this.showWait = val
        }
    },

    persist: true
})

export default useContactsStore
